amavisd-new (1:2.13.0-7ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:16:21 +0100

amavisd-new (1:2.13.0-7ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110427). Remaining changes:
    - d/amavisd-new.apport, d/amavisd-new.dirs, d/control, d/rules: Add
      apport hook and required dirs.  Do not report FQDN misconfiguration
      through apport.
      (LP #1587695)
    - d/control, d/amavisd-new-postfix.*: New package amavisd-new-postfix,
      configuration for anti-spam/virus.
    - d/control: Drop altermime to Suggests as it is optional and a universe
      dependency.
      (LP 992879)
    - d/control: Delete dspam from Suggests since it has been removed in
      Debian testing, to not mislead anyone who wants to make use of them.
      (LP #1891643)
    - Enable DKIM verification with whitelisting of known-good domains
      + d/etc/conf.d/21-ubuntu_defaults: Enable DKIM verification and
        reduce verbosity about sending mail.
      + d/etc/conf.d/40-policy_banks: Include policy-bank of
        known good domains for DKIM whitelisting.
      + d/README.Debian: Document differences between Ubuntu and Debian for
        DKIM settings, and how to override.

 -- Bryan Alexander <bryan.alexander@canonical.com>  Thu, 05 Jun 2025 11:50:25 -0700

amavisd-new (1:2.13.0-7) unstable; urgency=medium

  * Replace suggests on p7zip with 7zip. Closes: #1063543.
  * Remove recommends on ripole. Closes: #971896.

 -- Brian May <bam@debian.org>  Mon, 03 Mar 2025 08:52:25 +1100

amavisd-new (1:2.13.0-6ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064387). Remaining changes:
    - d/amavisd-new.apport, d/amavisd-new.dirs, d/control, d/rules: Add
      apport hook and required dirs.  Do not report FQDN misconfiguration
      through apport.
      (LP #1587695)
    - d/control, d/amavisd-new-postfix.*: New package amavisd-new-postfix,
      configuration for anti-spam/virus.
    - d/control: Drop altermime to Suggests as it is optional and a universe
      dependency.
      (LP 992879)
    - d/control: Delete dspam and ripole from Suggests since they have been
      removed in Debian testing, to not mislead anyone who wants to make use
      of them.
      (LP #1891643)
    - Enable DKIM verification with whitelisting of known-good domains
      + d/etc/conf.d/21-ubuntu_defaults: Enable DKIM verification and
        reduce verbosity about sending mail.
      + d/etc/conf.d/40-policy_banks: Include policy-bank of
        known good domains for DKIM whitelisting.
      + d/README.Debian: Document differences between Ubuntu and Debian for
        DKIM settings, and how to override.

 -- Bryce Harrington <bryce@canonical.com>  Tue, 06 Aug 2024 23:05:03 -0700

amavisd-new (1:2.13.0-6) unstable; urgency=medium

  * Fix incorrect CVE in previous changelog entry. Should be CVE-2024-28054.

 -- Brian May <bam@debian.org>  Fri, 15 Mar 2024 09:50:04 +1100

amavisd-new (1:2.13.0-5) unstable; urgency=medium

  * CVE-2024-28054: Handle multiple boundary parameters that contain
    conflicting values.

 -- Brian May <bam@debian.org>  Fri, 15 Mar 2024 08:44:59 +1100

amavisd-new (1:2.13.0-4) unstable; urgency=medium

  * Fix race condition in postinst. Closes: #1064349.

 -- Brian May <bam@debian.org>  Fri, 01 Mar 2024 09:56:51 +1100

amavisd-new (1:2.13.0-3ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018057). Remaining changes:
    - d/README.Debian: Add information about the Ubuntu variant of
      amavisd-new and the major differences between that package in
      Ubuntu and Debian to raise awareness about the additional config
      file which is 40-policy_banks.
    - d/README.Debian, d/etc/conf.d/21-ubuntu_defaults: Enable DKIM
      verification and reducing verbosity about sending mail.
      + Reduce email responses for virus/blocked mail so as not to be a
        backscatter source by default.
      + Enable DKIM checking by default.
    - d/README.Debian, d/etc/conf.d/40-policy_banks: Include policy-bank
      of known good domains for DKIM whitelisting in 40-policy_banks.
    - d/control: Drop altermime and ripole to Suggests as they are
      optional and universe dependencies (LP: 992879).
    - d/control, d/amavisd-new-postfix.*: New package amavisd-new-postfix,
      configuration for anti-spam/virus.
    - do not report FQDN misconfiguration through apport.
      (LP #1587695).
      + d/control: b-dep on dh_apparmor.
      + d/rules: enable dh_apparmor.
      + d/amavisd-new.apport: apport script
      + d/amavisd-new.dirs: layout required dirs
  * New Changes:
    - d/control: Delete packages ripole and dspam - which are missing -
      from Suggests to not mislead anyone who would want to make use of
      those (LP: #1891643).
    - d/rules: fix build with (empty) amavisd-new-postfix

 -- Michal Maloszewski <michal.maloszewski@canonical.com>  Mon, 17 Jul 2023 23:17:01 +0200

amavisd-new (1:2.13.0-3) unstable; urgency=medium

  * Fix failure to purge without adduser. Closes: #1035841.

 -- Brian May <bam@debian.org>  Fri, 12 May 2023 08:52:23 +1000

amavisd-new (1:2.13.0-2) unstable; urgency=medium

  * Remove amavisd-new-libs for bookworm requirements.

 -- Brian May <bam@debian.org>  Fri, 24 Feb 2023 10:14:27 +1100

amavisd-new (1:2.13.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + amavisd-new: Drop versioned constraint on adduser, libarchive-zip-perl,
      libcompress-raw-zlib-perl, libconvert-tnef-perl, libconvert-uulib-perl,
      libmailtools-perl, lsb-base and perl in Depends.
    + amavisd-new: Drop versioned constraint on apt-listchanges, libdbi-perl,
      libmail-dkim-perl, libnet-ldap-perl and spamassassin in Suggests.
    + amavisd-new: Drop versioned constraint on logcheck in Conflicts.

  [ Damian Lukowski ]
  * Update to upstream 2.13.0

 -- Brian May <bam@debian.org>  Thu, 23 Feb 2023 16:00:54 +1100

amavisd-new (1:2.12.2-1.1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #1993383). Remaining changes:
    - Add information in README.Debian about Ubuntu specific changes.
    - d/README.Debian, d/etc/conf.d/21-ubuntu_defaults: Ubuntu
      configuration changes in 21-ubuntu_defaults.
      + Reduce email responses for virus/blocked mail so as not to be
        a backscatter source by default.
      + Enable DKIM checking by default.
    - d/README.Debian,d/etc/conf.d/40-policy_banks: Include
      policy-bank of known good domains for DKIM whitelisting
      in 40-policy_banks.
    - d/control: drop altermime and ripole to Suggests after
      discussions with the server team.
    - d/control,d/amavisd-new-postfix.*: new package
      amavisd-new-postfix, configuration for anti-spam/virus.
    - do not report FQDN misconfiguration through apport.
      (LP #1587695).
      + d/control: b-dep on dh_apparmor
      + d/rules: enable dh_apparmor
      + d/amavisd-new.apport: apport script
      + d/amavisd-new.dirs: layout required dirs

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 18 Nov 2022 14:23:22 -0500

amavisd-new (1:2.12.2-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946841). Remaining changes:
    - Add information in README.Debian about Ubuntu specific changes.
    - d/README.Debian, d/etc/conf.d/21-ubuntu_defaults: Ubuntu
      configuration changes in 21-ubuntu_defaults.
      + Reduce email responses for virus/blocked mail so as not to be
        a backscatter source by default.
      + Enable DKIM checking by default.
    - d/README.Debian,d/etc/conf.d/40-policy_banks: Include
      policy-bank of known good domains for DKIM whitelisting
      in 40-policy_banks.
    - d/control: drop altermime and ripole to Suggests after
      discussions with the server team.
    - d/control,d/amavisd-new-postfix.*: new package
      amavisd-new-postfix, configuration for anti-spam/virus.
    - do not report FQDN misconfiguration through apport.
      (LP #1587695).
      + d/control: b-dep on dh_apparmor
      + d/rules: enable dh_apparmor
      + d/amavisd-new.apport: apport script
      + d/amavisd-new.dirs: layout required dirs

 -- Miriam España Acebal <miriam.espana@canonical.com>  Fri, 18 Feb 2022 13:14:20 +0100

amavisd-new (1:2.12.2-1) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * d/amavisd-new-cronjob: Suppress stderr output on 'perl' invocation.
    (LP: #1481579)

  [ Damian Lukowski ]
  * New upstream version 2.12.2
  * Add suggestions for RspamdClient
  * Update debian patches
  * Update debian watchfile
  * Use pipeline to check if package builds
  * Add test-config pipeline stage

 -- Brian May <bam@debian.org>  Wed, 09 Feb 2022 09:00:48 +1100

amavisd-new (1:2.11.1-5ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add information in README.Debian about Ubuntu specific changes.
    - Ubuntu configuration changes in 21-ubuntu_defaults.
      + Reduce email responses for virus/blocked mail so as not to be a
        backscatter source by default
      + Enable DKIM checking by default
    - Include policy-bank of known good domains for DKIM whitelisting
      in 40-policy_banks.
    - debian/control: drop altermime and ripole to Suggests after discussions
      with the server team.
    - amavisd-new-postfix configuration for anti-spam/virus.
    - do not report FQDN misconfiguration through apport. (LP #1587695)
      + d/amavisd-new.apport: apport script
      + d/amavisd-new.dirs: layout required dirs
      + d/control: b-dep on dh_apparmor
      + d/rules: enable dh_apparmor
  * Added:
    - d/amavisd-new-postfix.postrm: add #DEBHELPER# to the end of the script.
      [squash this change with "amavisd-new-postfix configuration for
       anti-spam/virus" (4e84c665522d1be) in the next merge]
    - d/amavisd-new-postfix.*: use a FHS compliant dir to store backup files.
      [squash this change with "amavisd-new-postfix configuration for
       anti-spam/virus" (4e84c665522d1be) in the next merge]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 14 Jul 2021 17:22:39 -0300

amavisd-new (1:2.11.1-5) unstable; urgency=medium

  * Add missing dependency on libnet-snmp-perl. Closes: #936052.

 -- Brian May <bam@debian.org>  Tue, 08 Jun 2021 08:51:44 +1000

amavisd-new (1:2.11.1-4ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add information in README.Debian about Ubuntu specific changes.
    - Ubuntu configuration changes in 21-ubuntu_defaults.
      + Reduce email responses for virus/blocked mail so as not to be a
        backscatter source by default
      + Enable DKIM checking by default
    - Include policy-bank of known good domains for DKIM whitelisting
      in 40-policy_banks.
    - debian/control: drop altermime and ripole to Suggests after discussions
      with the server team.
    - amavisd-new-postfix configuration for anti-spam/virus.
    - do not report FQDN misconfiguration through apport. (LP #1587695)
      + d/amavisd-new.apport: apport script
      + d/amavisd-new.dirs: layout required dirs
      + d/control: b-dep on dh_apparmor
      + d/rules: enable dh_apparmor

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 18 Nov 2020 17:39:15 -0300

amavisd-new (1:2.11.1-4) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 12.
    + Use dh_installsystemd rather than deprecated dh_systemd_enable.
    + Use dh_installsystemd rather than deprecated dh_systemd_start.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.

  [ Brian May ]
  * Update README.Debian. Closes: #970017.
  * Update standards version to 4.5.0.
  * Add predepends field, required for deb-systemd-invoke.

 -- Brian May <bam@debian.org>  Tue, 15 Sep 2020 07:47:11 +1000

amavisd-new (1:2.11.1-2ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add information in README.Debian about Ubuntu specific changes.
    - Ubuntu configuration changes in 21-ubuntu_defaults.
      + Reduce email responses for virus/blocked mail so as not to be a
        backscatter source by default
      + Enable DKIM checking by default
    - Include policy-bank of known good domains for DKIM whitelisting
      in 40-policy_banks.
    - debian/control: drop altermime and ripole to Suggests after discussions
      with the server team.
    - amavisd-new-postfix configuration for anti-spam/virus.
    - do not report FQDN misconfiguration through apport. (LP #1587695)
      + d/amavisd-new.apport: apport script
      + d/amavisd-new.dirs: layout required dirs
      + d/control: b-dep on dh_apparmor
      + d/rules: enable dh_apparmor

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 11 May 2020 17:36:35 -0300

amavisd-new (1:2.11.1-2) unstable; urgency=medium

  * Ensure RuntimeDirectory is set. Closes: #955247.

 -- Brian May <bam@debian.org>  Sun, 29 Mar 2020 10:05:18 +1100

amavisd-new (1:2.11.1-1) unstable; urgency=medium

  * Update to latest upstream version.
  * Add systemd service file. Closes: #738548.

 -- Brian May <bam@debian.org>  Tue, 04 Feb 2020 07:58:33 +1100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog amavisd-new`.
